org.apache.tinkerpop.gremlin.server.handler

## Class SaslAuthenticationHandler

- java.lang.Object
- - ChannelInboundHandlerAdapter
  - - org.apache.tinkerpop.gremlin.server.handler.AbstractAuthenticationHandler
    - - org.apache.tinkerpop.gremlin.server.handler.SaslAuthenticationHandler

- Direct Known Subclasses:
    SaslAndHttpBasicAuthenticationHandler

      public class SaslAuthenticationHandler
      extends AbstractAuthenticationHandler

  A SASL authentication handler that allows the `Authenticator` to be plugged into it. This handler is meant to be used with protocols that process a `RequestMessage` such as the `WebSocketChannelizer`
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Settings` | `settings`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.server.handler.AbstractAuthenticationHandler

      `authenticator, authorizer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SaslAuthenticationHandler(Authenticator authenticator, Authorizer authorizer, Settings settings)`
    `SaslAuthenticationHandler(Authenticator authenticator, Settings settings)` Deprecated. As of release 3.5.0, replaced by `SaslAuthenticationHandler(Authenticator, Authorizer, Settings)`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `channelRead(ChannelHandlerContext ctx, Object msg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### settings

          protected final Settings settings

  - ### Constructor Detail

    - #### SaslAuthenticationHandler

          @Deprecated
          public SaslAuthenticationHandler(Authenticator authenticator,
                                                       Settings settings)

      Deprecated. As of release 3.5.0, replaced by `SaslAuthenticationHandler(Authenticator, Authorizer, Settings)`.

    - #### SaslAuthenticationHandler

          public SaslAuthenticationHandler(Authenticator authenticator,
                                           Authorizer authorizer,
                                           Settings settings)

  - ### Method Detail

    - #### channelRead

          public void channelRead(ChannelHandlerContext ctx,
                                  Object msg)
                           throws Exception

      Throws:
        `Exception`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.